Subject: [PATCH net 0/3] net: dsa: mv88e6xxx serdes fixes

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 13 Apr 2022 17:52:12 +0100

Hi,

This series addresses a number of deficiencies in the mv88e6xxx serdes
handling, namely:

1) incorrectly filling out state->an_complete - which was incorrectly
fixed due to confusion with the ANEGCAPABLE bit - patch from Marek to
fix this.

2) make the error print in patch 1 consistent with all the other error
prints.

3) ensure that we always capture a link-drop event by reading the link
status from the BMSR as well, and report link down if BMSR says the link
failed.

 drivers/net/dsa/mv88e6xxx/serdes.c | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!